package com.bocloud.cmp.provider.storage;

import com.bocloud.cmp.model.VolumeTemplateModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * 存储卷模板
 *
 * @author luyanchao
 * @since 2019/1/24 16:15
 */
public interface VolumeTemplateProvider extends SuperProvider {
    default public BocloudResult list() {
        return null;
    }

    ;

    default public BocloudResult create(VolumeTemplateModel template) {
        return null;
    }

    default public BocloudResult modify(VolumeTemplateModel template) {
        return null;
    }

    default public BocloudResult remove(String uuid) {
        return null;
    }

    default public BocloudResult detail(String uuid) {
        return null;
    }
}
